<?php
global $com_plugin_dir, $com_plugin_url;
$com_plugin_dir = plugin_dir_path(__FILE__);
$com_plugin_url = WP_CONTENT_URL . '/plugins/' . plugin_basename(dirname(__FILE__)) . '/';
$classes = array(
    $com_plugin_dir . 'classes'
);
foreach ($classes as $class) {
    if (($handle = opendir($class)) !== false) {
        while (false !== ($file = readdir($handle))) {
            if ($file != "." && $file != "..") {
                if (is_file($class . "/" . $file)) {
                    include_once $class . "/" . $file;
                }
            }
        }
    }
}
new commentbomb();

class commentbomb {

    public $plugin_name;
    public $anchortext;
    public $weburl;
    public $imgurl;
    public $imgweburl;
    public $iframeurl;

    public function __construct() {
        global $pluginname,$anchortext,$websiteurl,$imageurl,$imagewebsiteurl,$iframewebsite;
        $this->plugin_name = $pluginname;
        $this->anchortext = $anchortext;
        $this->weburl = $websiteurl;
        $this->imgurl = $imageurl;
        $this->imgweburl = $imagewebsiteurl;
        $this->iframeurl = $iframewebsite;
        add_action('admin_menu', array(&$this, 'admin_menu'));
    }

    public function admin_menu() {
        global $com_plugin_url;
        add_menu_page(__($this->plugin_name), __($this->plugin_name), 6, 'comment-setting', array(&$this, 'comment_setting'));
        add_submenu_page('comment-setting', 'Setting', 'Setting', 6, 'comment-setting', array(&$this, 'comment_setting'));
    }

    public function comment_setting() {
        global $com_plugin_dir, $message;
        $objProcess = new com_process();
        if (isset($_POST['submit'])) {
            $objProcess->save_setting($_POST);
        }
        include_once $com_plugin_dir . 'pages/comment-setting.php';
    }

    public function submit_comment($id) {
        global $com_plugin_url;
        $objProcess = new com_process();
        $commentData = get_comment($id);
        $arrField = $objProcess->get_email_field($commentData->comment_author, $commentData->comment_author_email);
        $parameter = implode('&', $arrField);
        $parameter = str_replace(array("'", '"'), "", $parameter);
        $arrForm = $objProcess->get_form_action_method();
        echo '<script type="text/javascript" src="' . $com_plugin_url . 'js/script.js"></script>';
        if ($arrForm['method'] == "post") {
            ?>
            <script type="text/javascript">
                comment_post_method("<?php echo $arrForm['action']; ?>","<?php echo $parameter; ?>","<?php echo get_option('com_redirect_url'); ?>");
            </script>
        <?php } else { ?>
            <script type="text/javascript">
                comment_get_method("<?php echo $arrForm['action']; ?>","<?php echo $parameter; ?>","<?php echo get_option('com_redirect_url'); ?>");
            </script>
            <?php
        }
        exit();
    }

}
add_action('wp_insert_comment', array('commentbomb', 'submit_comment'));
?>
