<?php
/*
NOTE: this file requires WordPress 2.7+ to function
*/
$settings = 'theme_mods_'.get_current_theme(); // do not change!

$defaults = array( // define our defaults
		'logo' => 'imagelogo',
		'logo_path' => '',
		'home_cat' => '0',
		'limit_char' => '300',
		'google_id' => 'themejunkie',
		'twitter_id' => 'themejunkie',
		'facebook_id' => 'themejunkie',
		'feedburner_id' => 'themejunkie',
		'subscribe' => 'Yes',
		'tabber' => 'Yes',
		'tab1' => '6',
		'tab2' => '6',
		'tab3' => '6',
		'boxthumbw' => '200',
		'boxthumbh' => '200',
		'tabthumbsize' => '48',
		'showad125' => 'Yes',
		'ad125a' => '',
		'ad125b' => '',
		'ad125c' => '',
		'ad125d' => '',
		'track' => 'Yes',
		'track_code' => ''		
		 // <-- no comma after the last option
);

//	push the defaults to the options database,
//	if options don't yet exist there.
add_option($settings, $defaults, '', 'yes');


/*
///////////////////////////////////////////////
This section hooks the proper functions
to the proper actions in WordPress
\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\
*/
//	this function registers our settings in the db
add_action('admin_init', 'register_theme_settings');
function register_theme_settings() {
	global $settings;
	register_setting($settings, $settings);
}
//	this function adds the settings page to the Appearance tab
add_action('admin_menu', 'add_theme_options_menu');
function add_theme_options_menu() {
	add_submenu_page('themes.php', __('Bigfoot Theme Options', 'themejunkie'), __('Bigfoot Theme Options', 'themejunkie'), 8, 'theme-options', 'theme_settings_admin');
}

function theme_settings_admin() { ?>
<?php theme_options_css_js(); ?>

<div class="wrap">
<?php
	global $settings, $defaults;
	if(get_theme_mod('reset')) {
		echo '<div class="updated fade" id="message"><p>'.__('Theme Options', 'themejunkie').' <strong>'.__('Reset to defaults', 'themejunkie').'</strong></p></div>';
		update_option($settings, $defaults);
	} elseif($_REQUEST['updated'] == 'true') {
		echo '<div class="updated fade" id="message"><p>'.__('Theme Options', 'themejunkie').' <strong>'.__('Saved', 'themejunkie').'</strong></p></div>';
	}
	screen_icon('options-general');
?>
  <h2><?php echo get_current_theme() . ' '; _e('Theme Options', 'themejunkie'); ?></h2>
  <form method="post" action="options.php">
    <?php settings_fields($settings); // important! ?>
    <?php // begin first column ?>
    <div class="metabox-holder">
    
    <!--BEGIN OF OVERVIEW-->
    <div class="postbox">
    	<h3><?php _e("Overview", 'themejunkie'); ?></h3>
        <div class="inside">
          <p>
            <?php _e("Bigfoot is proudly designed by ", 'themejunkie'); ?>
            <a rel="nofollow" href="http://theme-junkie.com/" target="_blank"><?php _e("Theme Junkie", 'themejunkie'); ?></a>
          </p>
          <p style="text-decoration: none;">
          <a href="http://theme-junkie.com/support/" target="_blank"><?php _e("Get Support", 'themejunkie'); ?></a> | <a href="http://theme-junkie.com/themes/" target="_blank"><?php _e("Our Themes", 'themejunkie'); ?></a> | <a href="http://theme-junkie.com/affiliates/" target="_blank"><?php _e("Become an Affiliate", 'themejunkie'); ?></a>
          </p>
        </div>
	</div>
	<!--END OF OVERVIEW-->
    
    <!--BEGIN OF LOGO-->
    <div class="postbox">
      <h3><?php _e('Logo', 'themejunkie'); ?></h3>
      <div class="inside">
        <p>
          <?php _e('Select the logo type for your site:', 'themejunkie'); ?>
          <br/>
          <select name="<?php echo $settings; ?>[logo]">
            <option style="padding-right:10px;" value="imagelogo" <?php selected('imagelogo', get_theme_mod('logo')); ?>>Image Logo</option>
            <option style="padding-right:10px;" value="textlogo" <?php selected('textlogo', get_theme_mod('logo')); ?>>Text Logo</option>
          </select>
       </p>
       <p>
		<?php _e('URL of Custom Logo', 'themejunkie'); ?>: <span style="margin-left:10px; color: #999999;"><?php _e('(Starts with http://)', 'themejunkie'); ?></span>
		<br/>
		<input type="text" name="<?php echo $settings; ?>[logo_path]" value="<?php echo get_theme_mod('logo_path'); ?>" size="35" />
	   </p>
      </div>
    </div>
    <!--END OF LOGO-->
      
      <!--BEGIN OF HOMEPAGE & POSTBOXES-->
       <div class="postbox">
       <h3><?php _e("Homepage & Postboxes", 'themejunkie'); ?></h3>
       <div class="inside">
         <p>
         <?php _e("Select a category for homepage posts:", 'themejunkie'); ?>
         <br />
    		<?php wp_dropdown_categories(array('selected' => get_theme_mod('home_cat'), 'name' => $settings.'[home_cat]', 'orderby' => 'Name' , 'hierarchical' => 1, 'show_option_all' => __("All Categories (Default)", 'themejunkie'), 'hide_empty' => '0' )); ?>
    	</p>   
          <p>
           <?php _e("Thumbnail size (Width x Height):", 'themejunkie'); ?>
           <br/>
           <input type="text" name="<?php echo $settings; ?>[boxthumbw]" value="<?php echo get_theme_mod('boxthumbw'); ?>" size="4" /> x 
           <input type="text" name="<?php echo $settings; ?>[boxthumbh]" value="<?php echo get_theme_mod('boxthumbh'); ?>" size="4" />
           <span style="margin-left:10px; color:#999;"><?php _e("(Default: 200x200)", 'themejunkie'); ?></span> 
          </p>
           
          <p>
           <?php _e("Number of excerpt characters:", 'themejunkie'); ?>
           <br/>
           <input type="text" name="<?php echo $settings; ?>[limit_char]" value="<?php echo get_theme_mod('limit_char'); ?>" size="4" /> 
           <span style="margin-left:10px; color:#999;"><?php _e("(Default: 300)", 'themejunkie'); ?></span> 
          </p>
         <p>
           <span style="color:#999;"><?php _e("Note: To modify how many posts to show per page, go to Settings -> Readings -> Blog pages show at most", 'themejunkie'); ?></span>
         </p>
       </div>
     </div>
     <!--END OF HOMEPAGE & POSTBOXES-->
     
     <!--BEGIN OF SIDEBAR TABBER--> 
          <div class="postbox">
        <h3><?php _e("Sidebar Tabber", 'themejunkie'); ?></h3>
        <div class="inside">
          <p>
            <?php _e("Display tabber on the sidebar?", 'themejunkie'); ?>
            <br/>
            <select name="<?php echo $settings; ?>[tabber]">
              <option style="padding-right:10px;" value="Yes" <?php selected('Yes', get_theme_mod('tabber')); ?>>Yes</option>
              <option style="padding-right:10px;" value="No" <?php selected('No', get_theme_mod('tabber')); ?>>No</option>
            </select>
        </p>        
          <p>
            <?php _e("Number of popular posts to show:", 'themejunkie'); ?>
            <br/>
            <select name="<?php echo $settings; ?>[tab1]">
              <option style="padding-right:10px;" value="1" <?php selected('1', get_theme_mod('tab1')); ?>>1</option>
              <option style="padding-right:10px;" value="2" <?php selected('2', get_theme_mod('tab1')); ?>>2</option>
              <option style="padding-right:10px;" value="3" <?php selected('3', get_theme_mod('tab1')); ?>>3</option>
              <option style="padding-right:10px;" value="4" <?php selected('4', get_theme_mod('tab1')); ?>>4</option>
              <option style="padding-right:10px;" value="5" <?php selected('5', get_theme_mod('tab1')); ?>>5</option>
              <option style="padding-right:10px;" value="6" <?php selected('6', get_theme_mod('tab1')); ?>>6</option>
              <option style="padding-right:10px;" value="7" <?php selected('7', get_theme_mod('tab1')); ?>>7</option>
              <option style="padding-right:10px;" value="8" <?php selected('8', get_theme_mod('tab1')); ?>>8</option>
              <option style="padding-right:10px;" value="9" <?php selected('9', get_theme_mod('tab1')); ?>>9</option>
              <option style="padding-right:10px;" value="10" <?php selected('10', get_theme_mod('tab1')); ?>>10</option>
              <option style="padding-right:10px;" value="11" <?php selected('11', get_theme_mod('tab1')); ?>>11</option>
              <option style="padding-right:10px;" value="12" <?php selected('12', get_theme_mod('tab1')); ?>>12</option>
            </select>
            <span style="margin-left:10px; color: #999;"><?php _e("(Default: 6)", 'themejunkie'); ?></span>
          </p>
          <p>
            <?php _e("Number of latest posts to show:", 'themejunkie'); ?>
            <br/>
            <select name="<?php echo $settings; ?>[tab2]">
              <option style="padding-right:10px;" value="1" <?php selected('1', get_theme_mod('tab2')); ?>>1</option>
              <option style="padding-right:10px;" value="2" <?php selected('2', get_theme_mod('tab2')); ?>>2</option>
              <option style="padding-right:10px;" value="3" <?php selected('3', get_theme_mod('tab2')); ?>>3</option>
              <option style="padding-right:10px;" value="4" <?php selected('4', get_theme_mod('tab2')); ?>>4</option>
              <option style="padding-right:10px;" value="5" <?php selected('5', get_theme_mod('tab2')); ?>>5</option>
              <option style="padding-right:10px;" value="6" <?php selected('6', get_theme_mod('tab2')); ?>>6</option>
              <option style="padding-right:10px;" value="7" <?php selected('7', get_theme_mod('tab2')); ?>>7</option>
              <option style="padding-right:10px;" value="8" <?php selected('8', get_theme_mod('tab2')); ?>>8</option>
              <option style="padding-right:10px;" value="9" <?php selected('9', get_theme_mod('tab2')); ?>>9</option>
              <option style="padding-right:10px;" value="10" <?php selected('10', get_theme_mod('tab2')); ?>>10</option>
              <option style="padding-right:10px;" value="11" <?php selected('11', get_theme_mod('tab2')); ?>>11</option>
              <option style="padding-right:10px;" value="12" <?php selected('12', get_theme_mod('tab2')); ?>>12</option>
            </select>
            <span style="margin-left:10px; color: #999;"><?php _e("(Default: 6)", 'themejunkie'); ?></span>
          </p>
          <p>
            <?php _e("Number of recent comments to show:", 'themejunkie'); ?>
            <br/>
            <select name="<?php echo $settings; ?>[tab3]">
              <option style="padding-right:10px;" value="1" <?php selected('1', get_theme_mod('tab3')); ?>>1</option>
              <option style="padding-right:10px;" value="2" <?php selected('2', get_theme_mod('tab3')); ?>>2</option>
              <option style="padding-right:10px;" value="3" <?php selected('3', get_theme_mod('tab3')); ?>>3</option>
              <option style="padding-right:10px;" value="4" <?php selected('4', get_theme_mod('tab3')); ?>>4</option>
              <option style="padding-right:10px;" value="5" <?php selected('5', get_theme_mod('tab3')); ?>>5</option>
              <option style="padding-right:10px;" value="6" <?php selected('6', get_theme_mod('tab3')); ?>>6</option>
              <option style="padding-right:10px;" value="7" <?php selected('7', get_theme_mod('tab3')); ?>>7</option>
              <option style="padding-right:10px;" value="8" <?php selected('8', get_theme_mod('tab3')); ?>>8</option>
              <option style="padding-right:10px;" value="9" <?php selected('9', get_theme_mod('tab3')); ?>>9</option>
              <option style="padding-right:10px;" value="10" <?php selected('10', get_theme_mod('tab3')); ?>>10</option>
              <option style="padding-right:10px;" value="11" <?php selected('11', get_theme_mod('tab3')); ?>>11</option>
              <option style="padding-right:10px;" value="12" <?php selected('12', get_theme_mod('tab3')); ?>>12</option>
            </select>
            <span style="margin-left:10px; color: #999;"><?php _e("(Default: 6)", 'themejunkie'); ?></span>
           </p>
           
           <p>
           <?php _e("Avatar & Thumbnail size (Width = Height):", 'themejunkie'); ?>
           <br/>
           <input type="text" name="<?php echo $settings; ?>[tabthumbsize]" value="<?php echo get_theme_mod('tabthumbsize'); ?>" size="4" /> 
           <span style="margin-left:10px; color:#999;"><?php _e("(Default: 48)", 'themejunkie'); ?></span> 
           </p>
        </div>
      </div>
      <!--END OF SIDEBAR TABBER-->
      
      <div class="postbox">
      <h3><?php _e('Footer Widgets', 'themejunkie'); ?></h3>
      <div class="inside">
        <p>
          <?php _e('Display widgets on the footer?', 'themejunkie'); ?>
          <br/>
          <select name="<?php echo $settings; ?>[footerwidget]">
            <option style="padding-right:10px;" value="Yes" <?php selected('Yes', get_theme_mod('footerwidget')); ?>>Yes</option>
            <option style="padding-right:10px;" value="No" <?php selected('No', get_theme_mod('footerwidget')); ?>>No</option>
          </select>
       </p>
       <p>
		<span style="color: #999;"><?php _e('Note: Go to Appearence -> Widgets to set your custom widgets.', 'themejunkie'); ?></span>
	   </p>
      </div>
    </div>
    <!--END OF FOOTER WIDGETS-->
    
    </div>
    <?php // end first column ?>
    
    <?php // begin second column ?>
    <div class="metabox-holder">
   		<!--BEGIN OF SUBSCRIBE-->
		<div class="postbox">
		  <h3><?php _e("Social Widget", 'themejunkie'); ?> - <?php _e("Sidebar", 'themejunkie'); ?></h3>
		  <div class="inside">
		    <p>
		     <?php _e("Include a social widget on the sidebar?", 'themejunkie'); ?>
           	<br/>
             <select name="<?php echo $settings; ?>[subscribe]">
              <option style="padding-right:10px;" value="Yes" <?php selected('Yes', get_theme_mod('subscribe')); ?>>Yes</option>
              <option style="padding-right:10px;" value="No" <?php selected('No', get_theme_mod('subscribe')); ?>>No</option>
             </select>
            <p/>
            <p>
		      <?php _e("Your Google ID:", 'themejunkie'); ?>
		      <br/>
		      <input type="text" name="<?php echo $settings; ?>[google_id]" value="<?php echo get_theme_mod('google_id'); ?>" size="35" />
		    </p>
            <p>
		      <?php _e("Your FeedBurner ID:", 'themejunkie'); ?>
		      <br/>
		      <input type="text" name="<?php echo $settings; ?>[feedburner_id]" value="<?php echo get_theme_mod('feedburner_id'); ?>" size="35" />
		    </p>
             <p>
		      <?php _e("Your Twitter ID:", 'themejunkie'); ?>
		      <br/>
		      <input type="text" name="<?php echo $settings; ?>[twitter_id]" value="<?php echo get_theme_mod('twitter_id'); ?>" size="35" />
		    </p>
            <p>
		      <?php _e("Your Facebook ID:", 'themejunkie'); ?>
		      <br/>
		      <input type="text" name="<?php echo $settings; ?>[facebook_id]" value="<?php echo get_theme_mod('facebook_id'); ?>" size="35" />
		    </p>
		  </div>
		</div>
		<!--END OF SUBSCRIBE-->  
        
       
       
      <!--BEGIN OF 125X125 ADS-->
      <div class="postbox">
        <h3><?php _e("125x125 Ads - Sidebar", 'themejunkie'); ?></h3>
        <div class="inside">
          <p>
            <?php _e("Display 125x125 ads on the sidebar?", 'themejunkie'); ?>
            <br/>
            <select name="<?php echo $settings; ?>[showad125]">
              <option style="padding-right:10px;" value="Yes" <?php selected('Yes', get_theme_mod('showad125')); ?>>Yes</option>
              <option style="padding-right:10px;" value="No" <?php selected('No', get_theme_mod('showad125')); ?>>No</option>
            </select>
          </p>
          <p>
            <?php _e("Enter your code for 125x125 ad #1:", 'themejunkie'); ?>
            <br/>
            <textarea name="<?php echo $settings; ?>[ad125a]" cols=35 rows=2><?php echo stripslashes(get_theme_mod('ad125a')); ?></textarea>
            <br/>
            <?php _e("Enter your code for 125x125 ad #2:", 'themejunkie'); ?>
            <br/>
            <textarea name="<?php echo $settings; ?>[ad125b]" cols=35 rows=2><?php echo stripslashes(get_theme_mod('ad125b')); ?></textarea>
            <br/>
            <?php _e("Enter your code for 125x125 ad #3:", 'themejunkie'); ?>
            <br/>
            <textarea name="<?php echo $settings; ?>[ad125c]" cols=35 rows=2><?php echo stripslashes(get_theme_mod('ad125c')); ?></textarea>
            <br/>
            <?php _e("Enter your code for 125x125 ad #4:", 'themejunkie'); ?>
            <br/>
            <textarea name="<?php echo $settings; ?>[ad125d]" cols=35 rows=2><?php echo stripslashes(get_theme_mod('ad125d')); ?></textarea>
          </p>
        </div>
      </div>
      <!--END OF 125X125 ADS-->
      
      <!--BEGIN OF SITE TRACKING-->
      <div class="postbox">
        <h3><?php _e("Site Tracking", 'themejunkie'); ?></h3>
        <div class="inside">
          <p>
            <?php _e("Include analytics/stat tracking code?", 'themejunkie'); ?>
            <br/>
            <select name="<?php echo $settings; ?>[track]">
              <option style="padding-right:10px;" value="Yes" <?php selected('Yes', get_theme_mod('track')); ?>>Yes</option>
              <option style="padding-right:10px;" value="No" <?php selected('No', get_theme_mod('track')); ?>>No</option>
            </select>
            <br/>
            <?php _e("Enter your analytics/stat tracking code:", 'themejunkie'); ?>
            <br/>
            <textarea name="<?php echo $settings; ?>[track_code]" cols=35 rows=5><?php echo stripslashes(get_theme_mod('track_code')); ?></textarea>
          </p>
        </div>
      </div>
      <!--END OF SITE TRACKING-->
      
      <p class="submit">
        <input type="submit" class="button-primary" value="<?php _e('Save Settings', 'themejunkie') ?>" />
        <input type="submit" class="button-highlighted" name="<?php echo $settings; ?>[reset]" value="<?php _e('Reset Settings', 'themejunkie'); ?>" />
      </p>
    </div>
    <!--end: second column-->
  </form>
</div>
<?php }

// add CSS and JS if necessary
function theme_options_css_js() {
echo <<<CSS

<style type="text/css">
	.metabox-holder { 
		width: 350px; float: left;
		margin: 0; padding: 0 10px 0 0;
	}
	.metabox-holder .postbox .inside {
		padding: 0 10px;
	}
	input, textarea, select {
		margin: 5px 0 5px 0;
		padding: 1px;
	}
</style>

CSS;
echo <<<JS

<script type="text/javascript">
jQuery(document).ready(function($) {
	$(".fade").fadeIn(1000).fadeTo(1000, 1).fadeOut(1000);
});
</script>

JS;
}
?>
